/*
 * Copyright 2011 gitblit.com.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.gitblit.tests;

import java.text.ParseException;

import junit.framework.TestCase;

import com.gitblit.utils.MarkdownUtils;

public class MarkdownUtilsTest extends TestCase {

	public void testMarkdown() throws Exception {
		assertTrue(MarkdownUtils.transformMarkdown("# H1").equals("<h1> H1</h1>"));
		assertTrue(MarkdownUtils.transformMarkdown("## H2").equals("<h2> H2</h2>"));
		try {
			MarkdownUtils.transformMarkdown((String) null);
			assertTrue(false);
		} catch (ParseException p) {
			assertTrue(p != null);
		}
	}
}